KDE 4.2 PyKDE API Reference

- KDE's Python API

# DeviceInterface Class Reference

`from PyKDE4.solid import *`

Inherits: QObject
Subclasses: Solid.AcAdapter, Solid.AudioInterface, Solid.Battery, Solid.Block, Solid.Button, Solid.Camera, Solid.DvbInterface, Solid.GenericInterface, Solid.NetworkInterface, Solid.PortableMediaPlayer, Solid.Processor, Solid.StorageAccess, Solid.StorageDrive, Solid.StorageVolume, Solid.Video
Namespace: Solid

## Detailed Description

Base class of all the device interfaces.

A device interface describes what a device can do. A device generally has a set of device interfaces.

## Enumerations

Type | { Unknown, GenericInterface, Processor, Block, StorageAccess, StorageDrive, OpticalDrive, StorageVolume, OpticalDisc, Camera, PortableMediaPlayer, NetworkInterface, AcAdapter, Battery, Button, AudioInterface, DvbInterface, Video, Last }

## Methods

| __init__ (self, DeviceInterfacePrivate dd, QObject backendObject)
| __init__ (self)
bool | isValid (self)

## Static Methods

Solid.DeviceInterface.Type | stringToType (QString type)
QString | typeToString (Solid.DeviceInterface.Type type)

## Method Documentation

__init__ | ( | self, |
|  | DeviceInterfacePrivate | dd,
|  | QObject | backendObject
| ) |  |  |

Internal:
  Creates a new DeviceInterface object.

Parameters:

  | dd | the private d member. It will take care of deleting it upon destruction.
  | backendObject | the device interface object provided by the backend

__init__ | ( |  | self ) |

bool isValid | ( |  | self ) |

Indicates if this device interface is valid. A device interface is considered valid if the device it is referring is available in the system.

Returns:
  true if this device interface's device is available, false otherwise

Solid.DeviceInterface.Type stringToType | ( | QString | type
| ) |  |  |

Returns:
  the device interface type for the given name

QString typeToString | ( | Solid.DeviceInterface.Type | type
| ) |  |  |

Returns:
  the name of the device interface type

## Enumeration Documentation

Type

This enum type defines the type of device interface that a Device can have.

- Unknown : An undetermined device interface - Processor : A processor - Block : A block device - StorageDrive : A storage drive - Cdrom : A CD-ROM drive - StorageVolume : A volume - OpticalDisc : An optical disc - Camera : A digital camera - PortableMediaPlayer: A portable media player - NetworkInterface: A network interface

Enumerator:

  Unknown = 0 |
  GenericInterface = 1 |
  Processor = 2 |
  Block = 3 |
  StorageAccess = 4 |
  StorageDrive = 5 |
  OpticalDrive = 6 |
  StorageVolume = 7 |
  OpticalDisc = 8 |
  Camera = 9 |
  PortableMediaPlayer = 10 |
  NetworkInterface = 11 |
  AcAdapter = 12 |
  Battery = 13 |
  Button = 14 |
  AudioInterface = 15 |
  DvbInterface = 16 |
  Video = 17 |
  Last = 0xffff |